## cascading.tap
Class MultiTap

    java.lang.Object
      cascading.tap.Tap
          cascading.tap.SourceTap
              cascading.tap.MultiSourceTap
                  cascading.tap.MultiTap

All Implemented Interfaces:
  FlowElement, CompositeTap, Serializable

Deprecated.

    @Deprecated
    public class MultiTap

extends MultiSourceTap

This class has been deprecated in favor of `MultiSourceTap`.

Class MultiTap is used to tie multiple `Tap` instances into a single resource. Effectively this will allow multiple files to be concatenated into the requesting pipe assembly, if they all share the same `Scheme` instance.

Note that order is not maintained by virtue of the underlying model. If order is necessary, use a unique sequence key to span the resources, like a line number. Note that if multiple input files have the same Scheme (like `TextLine`), they may not contain the same semi-structure internally. For example, one file might be an Apache log file, and anoter might be a Log4J log file. If each one should be parsed differently, then they must be handled by different pipe assembly branches.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.tap.MultiSourceTap
`taps`

Constructor Summary
`protected` `MultiTap(Scheme scheme)` Deprecated.
`` `MultiTap(Tap... taps)` Deprecated.

Method Summary

Methods inherited from class cascading.tap.MultiSourceTap
`equals, getChildTaps, getPath, getPathModified, getScheme, getTaps, hashCode, isReplace, openForRead, pathExists, sourceInit, toString`

Methods inherited from class cascading.tap.SourceTap
`deletePath, getSinkFields, isSink, makeDirs, openForWrite, sink`

Methods inherited from class cascading.tap.Tap
`flowInit, getIdentifier, getQualifiedPath, getSinkMode, getSourceFields, getTrace, isAppend, isEquivalentTo, isKeep, isSource, isUpdate, isWriteDirect, outgoingScopeFor, resolveFields, resolveIncomingOperationFields, setScheme, setWriteDirect, sinkInit, source, taps`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiTap

    protected MultiTap(Scheme scheme)

  Deprecated.

### MultiTap

    public MultiTap(Tap... taps)

  Deprecated.

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.